たぶん,ほんの一時的な問題なんだと思いますが,はまったので対処法とともに報告しておきます.

先週で修論と卒論の季節もほぼ収束して,久しぶりに開発環境を整えておこうと思って,Anaconda3環境をアップグレードしてみたらはまりました.

defaults::qt-5.6.2-vc9_3 パッケージのアップグレード作業中に UnicodeDecodeError が発生して,こけるという現象です.

どうも,運の悪いことに数日前から発生している現象のようで,たぶん,このパッケージを構成した人がなにか間違えてしまったのか Anaconda のバグなのか...

ちょっと調べてみたら,An error occurred while installing package ‘defaults::qt-5.6.2-vc9_3’ 似たような現象に悩んでいる人もいて,応急対応策も提案されていました.

真似して,Anaconda3の Lib/Lib/site-packages/conda/common/compat.py を修正したらアップグレードできました.

コメントを残す